libdvbv5: dvb_desc_ts_info Struct Reference

libdvbv5 1.28.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_desc_ts_info Struct Reference
Parsers for several MPEG-TS descriptors

Structure describing the ISDB TS information descriptor. More...

`#include <desc_ts_info.h>`

## Data Fields
uint8_t | type
uint8_t | length
struct dvb_desc * | next
char * | ts_name
char * | ts_name_emph
struct dvb_desc_ts_info_transmission_type | transmission_type
uint16_t * | service_id
union { |
uint16_t bitfield |
struct { |
uint8_t transmission_type_count:2 |
uint8_t length_of_ts_name:6 |
uint8_t remote_control_key_id:8 |
} |  |
}; |  |

## Detailed Description

Structure describing the ISDB TS information descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  remote_control_key_id | remote control key id
  length_of_ts_name | length of ts name
  transmission_type_count | transmission type count
  ts_name | ts name string
  ts_name_emph | ts name emphasis string
  transmission_type | struct dvb_desc_ts_info_transmission_type content
  service_id | service id vector

Definition at line 76 of file desc_ts_info.h.

## Field Documentation

## ◆ [union]

union { ... } dvb_desc_ts_info

## ◆ bitfield

uint16_t dvb_desc_ts_info::bitfield

Definition at line 86 of file desc_ts_info.h.

## ◆ length

uint8_t dvb_desc_ts_info::length

Definition at line 78 of file desc_ts_info.h.

## ◆ length_of_ts_name

uint8_t dvb_desc_ts_info::length_of_ts_name

Definition at line 89 of file desc_ts_info.h.

## ◆ next

struct dvb_desc* dvb_desc_ts_info::next

Definition at line 79 of file desc_ts_info.h.

## ◆ remote_control_key_id

uint8_t dvb_desc_ts_info::remote_control_key_id

Definition at line 90 of file desc_ts_info.h.

## ◆ service_id

uint16_t* dvb_desc_ts_info::service_id

Definition at line 83 of file desc_ts_info.h.

## ◆ transmission_type

struct dvb_desc_ts_info_transmission_type dvb_desc_ts_info::transmission_type

Definition at line 82 of file desc_ts_info.h.

## ◆ transmission_type_count

uint8_t dvb_desc_ts_info::transmission_type_count

Definition at line 88 of file desc_ts_info.h.

## ◆ ts_name

char* dvb_desc_ts_info::ts_name

Definition at line 81 of file desc_ts_info.h.

## ◆ ts_name_emph

char * dvb_desc_ts_info::ts_name_emph

Definition at line 81 of file desc_ts_info.h.

## ◆ type

uint8_t dvb_desc_ts_info::type

Definition at line 77 of file desc_ts_info.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_ts_info.h